# Poco::Data

# template < class T >

# class Extraction

Library: Data
Package: DataCore
Header: Poco/Data/Extraction.h

## Description

Concrete Data Type specific extraction of values from a query result set.

## Inheritance

Direct Base Classes: AbstractExtraction

All Base Classes: AbstractExtraction, Poco::RefCountedObject

## Member Summary

Member Functions: createPrepareObject, extract, numOfColumnsHandled, numOfRowsAllowed, numOfRowsHandled, reset

Inherited Functions: createPrepareObject, duplicate, extract, getExtractor, getLimit, numOfColumnsHandled, numOfRowsAllowed, numOfRowsHandled, referenceCount, release, reset, setExtractor, setLimit

## Constructors

### Extraction

Extraction(
T & result
);

Creates an Extraction object, uses an empty object T as default value

### Extraction

Extraction(
T & result,
const T & def
);

Creates an Extraction object, uses the provided def object as default value

## Destructor

### ~Extraction

~Extraction();

Destroys the Extraction object.

## Member Functions

### createPrepareObject

AbstractPrepare * createPrepareObject(
AbstractPreparation * pPrep,
std::size_t pos
) const;

See also: Poco::Data::AbstractExtraction::createPrepareObject()

### extract

void extract(
std::size_t pos
);

See also: Poco::Data::AbstractExtraction::extract()

### numOfColumnsHandled

std::size_t numOfColumnsHandled() const;

See also: Poco::Data::AbstractExtraction::numOfColumnsHandled()

### numOfRowsAllowed

std::size_t numOfRowsAllowed() const;

See also: Poco::Data::AbstractExtraction::numOfRowsAllowed()

### numOfRowsHandled

std::size_t numOfRowsHandled() const;

See also: Poco::Data::AbstractExtraction::numOfRowsHandled()

### reset

void reset();

See also: Poco::Data::AbstractExtraction::reset()